/**
 * A turtle that can draw a square
 * 
 * @author Poul Henriksen; procedural version by Ian Barland
 * @version 1.1
 */
public class SquareTrtl extends Trtl {

    /** What to do when the 'act' button is pressed.
     * (Non-static, since it's called by Greenfoot IDE.)
     */
    public void act() {
        goAndTurn(this);
    }
  
    public static void goAndTurn( SquareTrtl _this ) {
        move(_this,50);  
        turn(_this,90);
    }
    
    /** Create a new SquareTrtl.
     * @return a new SquareTrtl.
     */
    public static SquareTrtl makeSquareTrtl() {
        return addToWorld( new SquareTrtl() );
    }
    
    /* constructor -- non-public. */
    protected SquareTrtl() {  }
}