import greenfoot.*;  // (World, Actor, GreenfootImage, and Greenfoot)

/**
 * A turtle that runs in circles.
 * 
 * @author Poul Henriksen
 * @version 1.0.1
 */
public class CircleTrtl extends Trtl {

    /** What to do when the 'act' button is pressed.
     * (Non-static, since it's called by Greenfoot IDE.)
     */
    public void act() {
        move(this,5);
        turn(this,2);
    }
    
    public static CircleTrtl makeCircleTrtl() {
        return addToWorld( new CircleTrtl() );
    }
    
    protected CircleTrtl() {}
    
}